[arch-commits] Commit in (5 files)

Andrea Scarpino andrea at archlinux.org
Wed May 16 20:47:37 UTC 2012


    Date: Wednesday, May 16, 2012 @ 16:47:36
  Author: andrea
Revision: 159159

Needed by libzrtpcpp

Added:
  ccrtp/
  ccrtp/repos/
  ccrtp/trunk/
  ccrtp/trunk/PKGBUILD
  ccrtp/trunk/ccrtp.install

---------------+
 PKGBUILD      |   33 +++++++++++++++++++++++++++++++++
 ccrtp.install |   22 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

Added: ccrtp/trunk/PKGBUILD
===================================================================
--- ccrtp/trunk/PKGBUILD	                        (rev 0)
+++ ccrtp/trunk/PKGBUILD	2012-05-16 20:47:36 UTC (rev 159159)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer:
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Jeff Mickey <jeff at archlinux.org>
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=ccrtp
+pkgver=2.0.3
+pkgrel=2
+pkgdesc="An implementation of RTP, the real-time transport protocol from the IETF"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/ccrtp/"
+license=('GPL' 'custom')
+depends=('ucommon' 'libgcrypt')
+options=('!libtool')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz"{,.sig})
+md5sums=('0d57da1b8e212fb634b8951067fbc1e0'
+         '127fa3b293f7a7c3be1d2891c4544453')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 COPYING.addendum "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}

Added: ccrtp/trunk/ccrtp.install
===================================================================
--- ccrtp/trunk/ccrtp.install	                        (rev 0)
+++ ccrtp/trunk/ccrtp.install	2012-05-16 20:47:36 UTC (rev 159159)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(ccrtp.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list